This directory contains tools and data related to ECC (Emergency Call Codes)
data and updates.

Directory structure
===================

gen_eccdata.sh
  - A script to launch the newest conversion toolset to convert
    input/eccdata.txt into output/eccdata, and invoke compatibility
    verification tools of earlier versions of toolsets.

input/eccdata.txt
  - A text file in ProtoBuf text format which contains all known ECC data.
    This file shall be compatible with the last version of format toolset,
    but may not be compatible with all earlier versions.

output/eccdata
  - The binary file generated from input files, with the last version of
    format toolset. This file shall be compatible with all earlier versions.

conversion_toolset_v*
  - Contains format definitions, converting tools and verification tools of
    one version of ECC data format.

proto
  - A symbolic link references to protobuf folder of the newest version of
    conversion toolsets. It's used in Android.mk.

Conversion Toolset
===================

Every version of conversion toolset shall include at least:
  - A script to generate eccdata from a known version of input/eccdata.txt.
  - A script to verify compatibility of output/eccdata generated by any
    newer version of format toolset.

The output/eccdata generated by a version of conversion toolset shall be
able to pass compatibility verifications of all previous versions of format
toolset.

Updating ECC database
===================
Steps to update the ECC database:
1. Edit input/eccdata.txt
2. Source and launch
3. Run gen_eccdata.sh
The database file "output/eccdata" should be updated.

